Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.id
Class QueryParameterData

    java.lang.Object
      org.hibernate.envers.entities.mapper.id.QueryParameterData

    public class QueryParameterData

extends Object

Constructor Summary
`QueryParameterData(String flatEntityPropertyName, Object value)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getProperty(String prefix)`
`String` | `getQueryParameterName()`
`Object` | `getValue()`
`int` | `hashCode()`
`void` | `setParameterValue(Query query)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryParameterData

    public QueryParameterData(String flatEntityPropertyName,
                              Object value)

Method Detail

### getProperty

    public String getProperty(String prefix)

### getValue

    public Object getValue()

### setParameterValue

    public void setParameterValue(Query query)

### getQueryParameterName

    public String getQueryParameterName()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.